> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/developer/python-sdk/list-workspaces.md).

# List Workspaces

Get a `Workspace` handle for the workspace your API key authenticates against:

```python
import roboflow

rf = roboflow.Roboflow(api_key="YOUR_API_KEY")
workspace = rf.workspace()
```

Each Roboflow API key is scoped to a single workspace. To work against a different workspace, use a different API key (or, for public Universe workspaces, pass the workspace slug):

```python
# Public Universe workspace - only your API key is needed.
public_ws = rf.workspace("roboflow-100")
```

## Workspace properties

The returned `Workspace` exposes:

* `workspace.url` - the workspace's URL slug (e.g. `my-workspace`).
* `workspace.name` - the workspace's display name.
* `workspace.list_projects()` - projects in the workspace, as a list of dicts.
* `workspace.projects()` - same data as `list_projects()` but returned as a `Project` object list (older alias).
* `workspace.list_folders()` - see [Manage Folders](/developer/python-sdk/manage-folders.md).
* `workspace.list_workflows()` - see [Manage Workflows](/developer/python-sdk/manage-workflows.md).
* `workspace.get_plan()` and `workspace.get_usage()` - see [Workspace Plan and Usage](/developer/python-sdk/workspace-plan-and-usage.md).

## CLI equivalent

```bash
roboflow workspace list
roboflow workspace get my-workspace
```

See [List Workspaces and Projects (CLI)](/developer/command-line-interface/list-workspaces-and-projects.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roboflow.com/developer/python-sdk/list-workspaces.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
